Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class TrustedSessionCredential

    java.lang.Object
      oracle.ifs.common.TrustedSessionCredential

All Implemented Interfaces:
  java.io.Serializable, Credential

    public final class TrustedSessionCredential

extends java.lang.Object
implements Credential

A Credential that allows a LibrarySession to create a session for a specified user.

A LibrarySession can always construct a TrustedSessionCredential for its own user or for "guest". For any other user, the LibrarySession must be in administration mode to construct the TrustedSessionCredential; in other words, it must be a "trusted session".

Unlike TokenCredential, a TrustedSessionCredential can only be used to create a session in the same Java VM in which it was constructed.

After being used to create a single session, a TrustedSessionCredential is invalid; it cannot be re-used.

See Also:
  Serialized Form
(Published)

Constructor Summary
`TrustedSessionCredential(LibrarySession session)` Constructs a TrustedSessionCredential.

Method Summary
`java.lang.String` | `getName()` Gets the name of the user.
`void` | `invalidate()` Invalidates this TrustedSessionCredential.
`void` | `setName(java.lang.String name)` Sets the name of the user.
`void` | `verifyValid()` Verifies this TrustedSessionCredential is valid.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TrustedSessionCredential

    public TrustedSessionCredential(LibrarySession session)
                             throws IfsException

  Constructs a TrustedSessionCredential.

  By default, the TrustedSessionCredential is for the same user as the specified session. Call `setName` to specify the name of a different user.

  Parameters:
    `session` - the requesting session
  Throws:
    `IfsException` - if the operation fails
  (Published)

Method Detail

### getName

    public java.lang.String getName()
                             throws IfsException

  Description copied from class: `TrustedSessionCredential`
  Gets the name of the user.

  Specified by:
    `getName` in interface `Credential`
  Returns:
    the name of the user
  Throws:
    `IfsException` - (IFS-10187) if the operation fails

### setName

    public void setName(java.lang.String name)
                 throws IfsException

  Description copied from class: `TrustedSessionCredential`
  Sets the name of the user.

  Specified by:
    `setName` in interface `Credential`
  Parameters:
    `name` - the name of the user
  Throws:
    `IfsException` - (IFS-10188) if the operation fails

### verifyValid

    public void verifyValid()
                     throws IfsException

  Description copied from class: `TrustedSessionCredential`
  Verifies this TrustedSessionCredential is valid.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### invalidate

    public void invalidate()
                    throws IfsException

  Description copied from class: `TrustedSessionCredential`
  Invalidates this TrustedSessionCredential.

  Throws:
    `IfsException` - if the operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD